/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   UdpDataType.h
 * Author: ZhangZhi
 *
 * Created on 201986, 12:13
 */

#ifndef UDPDATATYPE_H
#define UDPDATATYPE_H

#include "TapAPICommDef.h"

#pragma pack(push, 1)

	//UDP֡ͷṹ
	struct TapAPIUdpHead
	{
		TAPIUINT32						PackageFlag;
		TAPIUINT16		                ProtocolCode;
		TAPIUINT16                      Version;
		TAPIUINT32                      Sequence;
	} ;

	const TAPIUINT32					UDP_Package_Flag = 0x22E95CA7;

	//·֤
	const TAPIUINT16					CMD_UDPAuth_Req = 0x0001;
	//·֤Ӧ
	const TAPIUINT16					CMD_UDPAuth_Rsp = 0x0002;
    
    //ŹģʽЭ̺Ƿǿ
    typedef TAPIUINT32                  TapSeqModeType;
    //ǿưյĺһŴǰһʱһݣ
    const TapSeqModeType   SEQ_MODE_NONSEQUENCE = 0;
    //ǿư յĺһΪǰһż1ʱŴ
    const TapSeqModeType   SEQ_MODE_SEQUENCE    = 1;
    
    //! Ϊ3ַ
    typedef char	TAPISTR_3[3];

	struct TapAPIUdpAuthReq
	{
		TAPIINT64                       AuthCode;
		TAPISTR_20                      UserNo;
        TAPISTR_3                       Filler;
        TapSeqModeType                  SeqMode;
	} ;

	//
	const TAPIUINT16			CMD_UDPHeartBeat_Req = 0x0003;
	//Ӧ
	const TAPIUINT16			CMD_UDPHeartBeat_Rsp = 0x0004;
    
    
    //ȱ©֪ͨ
    const TAPIUINT16			CMD_UDPSequence_Notice = 0x0006;
    //ȱ©֪ͨṹ
    struct TapAPIUdpSequenceNotice
    {
        TAPIUINT32                      LastProcSeq;                    //һȷϢ
    };

	//
	const TAPIUINT16			CMD_UDPOrderInsert_Req = 0x0101;
	//Ӧ
	const TAPIUINT16			CMD_UDPOrderInsert_Rsp = 0x0102;

	//ͻµṹ
	struct TapAPIUdpOrderInsertReq
	{
		TAPISTR_20							AccountNo;						//ͻʽʺ 21

		TAPICHAR							Contract[16];                   //Լ  16
		TAPICHAR							Contract2[16];                  //Լ  16
		TAPIOrderTypeType					OrderType;						//ί 1
		TAPITimeInForceType					TimeInForce;					//ίЧ 1
		TAPISideType						OrderSide;						// 1
		TAPIPositionEffectType				PositionEffect;					//ƽ־1 1
		TAPIHedgeFlagType					HedgeFlag;						//Ͷֵ 1
		TAPIREAL64							OrderPrice;						//ίм۸1 8
		TAPIUINT32							OrderQty;						//ί 4
		TAPIREAL64							OrderPrice2;					//ίм۸2 8
		TAPIUINT32							OrderQty2;						//ί2 4

		TAPICHAR							ClientOrderNo[16];				//ͻ˱ίб 16
		TAPICHAR							UpperChannelNo[11];				//ͨ 11
	} ;

	//
	const TAPIUINT16			CMD_UDPOrderDelete_Req = 0x0103;
	//Ӧ
	const TAPIUINT16			CMD_UDPOrderDelete_Rsp = 0x0104;

	//ͻṹ

	struct TapAPIUdpOrderDeleteReq
	{
		TAPICHAR							OrderNo[21];						//ίб
	} ;
#pragma pack(pop)
    
#endif /* UDPDATATYPE_H */

