#include "TapQuoteAPI.h"
#include "TapAPIError.h"
#include "Quote.h"
#include "QuoteConfig.h"

#include <iostream>
#include <string.h>
#include <stdio.h>
using namespace std;

void ShowBuf(char* buf,int len)
{
    printf("===================\n");
        for(int i=0; i < len; ++i)
    {
        if(i%32==0){
            printf("\n");
        }
        printf("0x%x(%c) ", buf[i], buf[i]);
    }
    printf("===================\n");
}

int main(int argc, char* argv[])
{
    //ȡAPIİ汾Ϣ
    cout << GetTapQuoteAPIVersion() << endl;

    //APIʵ
    TAPIINT32 iResult = TAPIERROR_SUCCEED;
    TapAPIApplicationInfo stAppInfo;
    strcpy(stAppInfo.AuthCode, DEFAULT_AUTHCODE);
	strcpy(stAppInfo.KeyOperationLogPath, "\\log");

    ITapQuoteAPI *pAPI = CreateTapQuoteAPI(&stAppInfo, iResult);
    if (NULL == pAPI){
            cout << "APIʵʧܣ룺" << iResult <<endl;
            return -1;
    }

    //趨ITapQuoteAPINotifyʵ࣬첽ϢĽ
    Quote objQuote;
    pAPI->SetAPINotify(&objQuote);


    //ԣ
    objQuote.SetAPI(pAPI);
    objQuote.RunTest();

    return 0;
}